#include "cmsis_os2.h"
#include <stdio.h>

void periodicTimerCallback(void *argument);
void oneShotTimerCallback(void *argument);
void app_main (void *argument);

osTimerId_t tidPeriodic;
osTimerId_t tidOneShot;

void periodicTimerCallback(void *argument) {
    printf("Periodic Timer hit\n");
}

void oneShotTimerCallback(void *argument) {
    printf("One shot Timer hit\n");
}

void app_main (void *argument) {	
	tidPeriodic = osTimerNew(periodicTimerCallback, osTimerPeriodic, NULL, NULL);
	tidOneShot  = osTimerNew(oneShotTimerCallback,  osTimerOnce,     NULL, NULL);

    osTimerStart(tidPeriodic, 100);
    osTimerStart(tidOneShot, 2000);
    while(1);
}

int main (void) {
    osKernelInitialize();
    osThreadNew(app_main, NULL, NULL);
    osKernelStart();
}
